[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoDestroy

Performs actions needed when the print device is freed.

## Declaration

Source position: printers.pas line 293

`protected procedure TPrinter.DoDestroy; virtual;`

## Description

DoDestroy is a virtual procedure used to perform actions needed when the print device is freed. In TPrinter, the following actions are performed:

- When Printing is True, Abort is called.
- Frees resources allocated to the internal member used for Paper Bins.
- Frees the Canvas (when assigned).
- Frees PaperSize (when assigned).
- Resets and frees the list of Printers (when assigned).
- Resets and frees Fonts (when assigned).

DoDestroy is normally overridden in a descendent class to perform additional actions required for the implementation.

DoDestroy is called from the Destroy destructor.

## See also

TPrinter.Destroy |  | Destructor for the class instance.